[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TDaemon.OnExecute

Daemon execute event

## Declaration

Source position: daemonapp.pp line 114

`published property TDaemon.OnExecute : TDaemonEvent read FOnExecute write FOnExecute;`

## Description

OnExecute is executed once after the daemon was started. If assigned, it should perform whatever operation the daemon is designed.

If the daemon's action is event based, then no OnExecute handler is needed, and the events will control the daemon's execution: the daemon thread will then go in a loop, passing control messages to the daemon.

If an OnExecute event handler is present, the checking for control messages must be done by the implementation of the OnExecute handler.

## See also

TDaemon.OnStart |  | Daemon start event
TDaemon.OnStop |  | Daemon stop event